import request from "@/utils/request";
import { AxiosPromise } from "axios";
import { DashboardCard, DashboardData } from "./types";

/**
 * 获取首页数据卡片
 */
export function getDashboardTop(id: number): AxiosPromise<DashboardCard> {
  return request({
    url: "/board/v1/top",
    method: "get",
    params: { school_id: id },
  });
}
/**
 * 获取首页图表数据
 */
export function getDashboardData(school_id: number, grade_id: number): AxiosPromise<DashboardData> {
  return request({
    url: "/board/v1/bottom",
    method: "get",
    params: { school_id: school_id, grade_id: grade_id},
  });
}
