import {TeacherItem} from "@/api/teacher/types";

/**
 * 获取训练记录参数
 * ?school_id=95&is_formal=1&search=略&grade_id=35&page=1&page_size=10
 */
export interface TrainingParams {
	school_id: number;
	grade_id:number;
	// 1正式，2非正式
	is_formal: number;
	// 学生名称/手机号
	search: string;
	page_no: number;
	page_size: number;
}

/**
 * 训练记录列表
 */
export interface TrainingItem {
	name: string;
	phone: string;
	// 0：放松，其他：专注
	device_id: number;
	device_name: string;
	create_time: string;
	play_time: string;
	grade_name: string;
	game_record_id: number;
}

export interface TrainingManage {
	lists: TrainingItem[];
	// 数量
	count: number;
}

export interface TrainingResult{
	name: string;
	phone: string;
	minute: number; //分
	second: number; //秒
	device_name: string;//训练场景
	create_time: string; //训练时间
	height_value: number;//高专注力占比
	att_average: number;//平均专注力
	scope_diff: number;//专注力维持区间
	interfere: number;//受干扰次数
	radar: number[][];//雷达图
	line: number[]; //脑电曲线图1
	line_med: number[];//脑电曲线图2
	amp: number[];//脑电曲线图3
	percentage: number[];//专注力分布饼图
	mean_content: {//专注力平均值描述和星星数
		star: number;
		content: string;
	};
	height_content: {//高专注占比描述
		star: number;
		content: string;
	};
	stable_content: {//稳定度描述
		star: number;
		content: string;
	};
	awaken_content: {//唤醒效率描述
		star: number;
		content: string;
	};
	linemed_content: {//整体和谐度
		star: number;
		content: string;
	};
	minDescription: string[]//大脑小贴士
	height_med: string;//深度放松占比
	average_med: string;//平均放松度
	high_linemed: string;//最高放松度
	scope_med: string;//放松度维持区间
	stable_med: string;//放松度稳定度
	average_content:{//放松度平均值描述和星星
		star: number;
		content: string;
	}
	height_med_content:{//深度放松占比描述
		star: number;
		content: string;
	}
	stable_med_content:{//放松度稳定度描述
		star: number;
		content: string;
	}



	"awaken": 40.82,
	"stable": 56.17,
	"linemed_value": 64.36,
	"muse_advise ": "教养模式的稳定：教养模式的稳定同样也是建立孩子有足够安全感和稳定情绪的重要保证，在家庭成员比较多的情况下，切切不要当面一套、背面一套；一套统一的教养理念，一位教育决策人，其他家庭成员功能就是配合和不打扰。这需要整个家庭的共同磨合。",
	"medPercentage": [
	4.9,
	36.27,
	50,
	8.82,
	0
],



}